<!--- check the CGI environment variable Content_Length to make sure the file
      being uploaded is less than 100k in size.  If it is not, halt 
      processing --->
<CFIF Val(CGI.CONTENT_LENGTH) GT 100000>
The file you are attempting to upload exceeds the maximum allowable size of 
100k and cannot be uploaded to this server!  Please choose a smaller file and 
try again.
<CFABORT>
</CFIF>

<!--- use the CFFILE tag to upload the file passed from the form to our 
      ColdFusion server --->
<CFFILE ACTION="UPLOAD"
        FILEFIELD="FileToUpload"
        DESTINATION="c:\temp"
        NAMECONFLICT="Overwrite"
        ACCEPT="text/html,text/plain"
        ATTRIBUTES="Archive">

<!--- Output the results in a HTML table --->
<CENTER>
<H2>CFFILE Upload Results:</H2>

<CFOUTPUT>
<TABLE>
<TR>
  <TD>AttemptedServerFile</TD><TD>#CFFILE.AttemptedServerFile#</TD>
  <TD>FileWasAppended</TD><TD>#CFFILE.FileWasAppended#</TD>
</TR>
<TR>
  <TD>ClientDirectory</TD><TD>#CFFILE.ClientDirectory#</TD>
  <TD>FileWasOverwritten</TD><TD>#CFFILE.FileWasOverwritten#</TD>
</TR>
<TR>
  <TD>ClientFile</TD><TD>#CFFILE.ClientFile#</TD>
  <TD>FileWasRenamed</TD><TD>#CFFILE.FileWasRenamed#</TD>
</TR>
<TR>
  <TD>ClientFileExt</TD><TD>#CFFILE.ClientFileExt#</TD>
  <TD>FileWasSaved</TD><TD>#CFFILE.FileWasSaved#</TD>
</TR>
<TR>
  <TD>ClientFileName</TD><TD>#CFFILE.ClientFileName#</TD>
  <TD>OldFileSize</TD><TD>#CFFILE.OldFileSize#</TD>
</TR>
<TR>
  <TD>ContentSubType</TD><TD>#CFFILE.ContentSubType#</TD>
  <TD>ServerDirectory</TD><TD>#CFFILE.ServerDirectory#</TD>
</TR>
<TR>
  <TD>ContentType</TD><TD>#CFFILE.ContentType#</TD>
  <TD>ServerFile</TD><TD>#CFFILE.ServerFile#</TD>
</TR>
<TR>
  <TD>DateLastAccessed</TD><TD>#CFFILE.DateLastAccessed#</TD>
  <TD>ServerFileExt</TD><TD>#CFFILE.ServerFileExt#</TD>
</TR>
<TR>
  <TD>FileExisted</TD><TD>#CFFILE.FileExisted#</TD>
  <TD>ServerFileName</TD><TD>#CFFILE.ServerFileName#</TD>
</TR>
<TR>
  <TD>FileSize</TD><TD>#CFFILE.FileSize#</TD>
  <TD>TimeCreated</TD><TD>#CFFILE.TimeCreated#</TD>
</TR>
</TABLE>
</CFOUTPUT>
</CENTER>
