<!--- initialize constants --->
<CFPARAM NAME="URL.action" DEFAULT="">
<CFSET NumDisplayMessages=10> <!--- number of messages to display in inbox --->
<CFPARAM NAME="CurrentMessageNumber" DEFAULT="1">

<!--- If the Password is sent encrypted by URL, decrypt it --->
<CFIF ISDEFINED('URL.PASSWORD')>
<CFSET PASSWORD = DECRYPT(URL.PASSWORD,815)>
</CFIF>

<!--- create a url parameter string. Encrypt the password.  This is NOT strong
      encryption --->
<CFSET PARAMETERS = "EmailAddress=#URLEncodedFormat(EmailAddress)#&PopServer=
#URLEncodedFormat(PopServer)#&SMTPServer=#URLEncodedFormat(SMTPServer)#&Username=
#URLEncodedFormat(Username)#&Password=#URLEncodedFormat(Encrypt(Password,815))#">      

<!--- retrieve and display all message headers, 10 at a time.  The number
      displayed per screen can be increased here by increasing the value of the
      NumDisplayMessages variable --->
<CFPOP ACTION="GetHeaderOnly" NAME="GetMessageHeaders" SERVER="#popserver#" 
       TIMEOUT="600" USERNAME="#username#" PASSWORD="#password#"
       STARTROW="#CurrentMessageNumber#" MAXROWS="#NumDisplayMessages#">

<HTML>
<HEAD>
<TITLE>E-mail Client - Inbox</TITLE>
</HEAD>
<BODY BGCOLOR="#C0C0C0">

<CENTER>
<TABLE BORDER="1" WIDTH="600" CELLPADDING="5">
<TR>
  <TD BGCOLOR="#FFFFFF">
  <TABLE BORDER="1" CELLPADDING="5" CELLSPACING="0">
  <TR BGCOLOR="#C0C0C0">
  <!--- allow the user to refresh the page or create a new message --->
    <CFOUTPUT>
    <TD><A HREF="Inbox.cfm?#Parameters#">Refresh</A></TD>
    <TD><A HREF="Action.cfm?action=create&#Parameters#">Create Message</A></TD>
    </CFOUTPUT>    
  </TR>
  </TABLE>

  <CENTER>
  <H2>E-mail Client - Inbox</H2>
  </CENTER>

  <!--- Create next/previous buttons as necessary for the messages displayed in
        the inbox.  If you want to display more than 10 messages at a time, you 
        need to increase the value in the constants section. --->
  <CFOUTPUT>
  <CFIF Evaluate(CurrentMessageNumber - NumDisplayMessages) GTE 0>
  <A HREF="Inbox.cfm?CurrentMessageNumber=#Evaluate(CurrentMessageNumber 
  - 10)#&#Parameters#">Previous</A> | 
  </CFIF>
  
  <CFIF GetMessageHeaders.RecordCount EQ NumDisplayMessages>
  <A HREF="Inbox.cfm?CurrentMessageNumber=#Evaluate(CurrentMessageNumber 
  + NumDisplayMessages)#&#Parameters#">Next</A>
  </CFIF>
  </CFOUTPUT>
  <P>

  <!--- if there are messages to be displayed, do so and make the page a form so 
        that multiple messages can be deleted. --->
     
  <CFIF GetMessageHeaders.RecordCount GT 0>
  <CFOUTPUT>
  <FORM ACTION="Action.cfm?action=delete&#Parameters#" METHOD="post">
  </CFOUTPUT>

  <TABLE BORDER="0" CELLPADDING="3" CELLSPACING="0">
  <TR>
    <TD>&nbsp;</TD><TD><B>From<B></TD><TD>&nbsp;&nbsp;</TD><TD><B>Date</B></TD>
    <TD>&nbsp;&nbsp;</TD><TD><B>Subject</B></TD>
  </TR>

  <!--- output the message headers --->
  <CFOUTPUT QUERY="GetMessageHeaders">
  <TR>
    <TD><INPUT TYPE="checkbox" NAME="Message" VALUE="#MessageNumber#"></TD>
        <!--- link the message to the action.cfm page where the full message can 
              be retrieved --->
    <TD><FONT SIZE="-1">
        <A HREF="Action.cfm?action=read&#Parameters#&message=#MessageNumber#">
        #FROM#</A></FONT></TD>
    <TD>&nbsp;&nbsp;</TD>
        <!--- This date is not formatted because some mail messages contain non 
              standard date formats that cause ColdFusion to throw an error when
              attempting to format them --->
    <TD><FONT SIZE="-1">#Date#</FONT></TD>
    <TD>&nbsp;&nbsp;</TD>    
    <TD><FONT SIZE="-1">#SUBJECT#</FONT></TD>
  </TR> 
  </CFOUTPUT>
  </TABLE>
  <INPUT TYPE="submit" VALUE="Delete">
  </FORM>

  <!--- If no messages are found, let the user know --->
  <CFELSE>
  <H3>No messages found...</H3>
  </CFIF>
  </TD>
</TR>
</TABLE>
</CENTER>
</BODY>
</HTML>
