<!--- If no search criteria is passed, assume user wants all records in the
collection, so assign a wildcard (*) to the search criteria --->
<CFIF Form.SearchFor IS "">
  <CFSET Form.SearchFor = "*">
</CFIF>  

<!--- search the collections --->
<CFSEARCH NAME="test1" COLLECTION="database,documents" TYPE="SIMPLE"
          CRITERIA="#form.searchfor#">

<!--- IF NO RECORDS MATCH, ABORT PROCESSING --->          
<CFIF Test1.RecordCount IS 0>
  No records found matching your search criteria.
  <CFABORT>
</CFIF>

<!--- Output matches to the user --->
<CFOUTPUT>
  #Test1.RecordCount# records found out of #test1.RecordsSearched# records 
  searched.
</CFOUTPUT>

<P>
<TABLE BORDER="0" WIDTH="500">
<TR>
  <TH>Title</TH><TH>Score</TH>
</TR>

<CFOUTPUT QUERY="test1">
<TR>
  <TD><CFIF IsNumric(KEY)>
        <A HREF="Showrecord.cfm?ID=#Key#">#Title#</A>
      <CFELSE>
        <A HREF="#URL#">#Title#</A>
      </CFIF>
      <BR>
      #Summary#
  </TD>
  <TD>
    <CFIF Score IS NOT "">
      #Evaluate(Score * 100)#%
    </CFIF>
  </TD>
</TR>
</CFOUTPUT>
</TABLE>
