<!--- serialize a boolean --->        
<CFWDDX ACTION="CFML2WDDX" INPUT="#IsDefined('y')#" OUTPUT="WDDX_boolean">

<!--- serialize a dateTime --->        
<CFWDDX ACTION="CFML2WDDX" INPUT="#now()#"
        OUTPUT="WDDX_dateTime" USETIMEZONEINFO="Yes">

<!--- serialize a number --->
<CFWDDX ACTION="CFML2WDDX" INPUT="#Val(123.456)#" OUTPUT="WDDX_Number">        

<!--- serialize a null ColdFusion style (an empty string) --->
<CFWDDX ACTION="CFML2WDDX" INPUT="" OUTPUT="WDDX_Null">
                
<!--- serialize a string --->
<CFWDDX ACTION="CFML2WDDX" INPUT="I am a string!" OUTPUT="WDDX_String1">
        
<!--- serialize a string with a newline character --->
<CFWDDX ACTION="CFML2WDDX" INPUT="I am a string! So am I."
        OUTPUT="WDDX_String2">
        
<!--- serialize a string with a tab --->
<CFWDDX ACTION="CFML2WDDX" INPUT="I am a string!#CHR(9)#So am I."
        OUTPUT="WDDX_String3">

<H2>Simple data types serialized as WDDX packets</H2>

<!--- output all of the wddx packets for the simple data types --->
<CFOUTPUT>       
<TABLE BORDER="0" CELLPADDING="3" BGCOLOR="##C0C0C0">
<TR>
  <TH>Data Type</TH><TH>WDDX Packet</TH>
<TR>
<TR>
  <TD>boolean:</TD><TD>#HTMLEditFormat(WDDX_boolean)#</TD>
</TR>
<TR>
  <TD>dateTime:</TD><TD>#HTMLEditFormat(WDDX_dateTime)#</TD>
</TR>
<TR>
  <TD>null (CFML) as an empty string</TD><TD>#HTMLEditFormat(WDDX_null)#</TD>
</TR>
<TR>
  <TD>null (COM, Java and JavaScript)</TD>
  <TD>&lt;wddxPacket version='1.0'&gt;&lt;header&gt;&lt;/header&gt;&lt;data&gt;
    &lt;null/&gt;&lt;/data&gt;&lt;/wddxPacket&gt;</TD>
</TR>
<TR>
  <TD>number</TD><TD>#HTMLEditFormat(WDDX_number)#</TD>
</TR>
<TR>
  <TD>string</TD><TD>#HTMLEditFormat(WDDX_String1)#</TD>
</TR>
<TR>
  <TD>string with newline character encoded</TD>
  <TD>#HTMLEditFormat(WDDX_String2)#</TD>
</TR>
<TR>
  <TD>string with tab encoded</TD><TD>#HTMLEditFormat(WDDX_String3)#</TD>
</TR>
</TABLE>
</CFOUTPUT>
