<H2>Employee</H2>

<!--- Include the wddx.js file containing the serialize function --->
<SCRIPT LANGUAGE="JavaScript" SRC="/cfide/scripts/Wddx.js"></SCRIPT>

<!--- serialize the contents of the form to a WDDX packet --->
<SCRIPT LANGUAGE="JavaScript">
    /** this function calls the wddxSerializer object from
      * the wddx.js file to serialize the Recordset object
      * after it is created
      */ 
    function SerializeEmployee() {
        var MySerializer = new WddxSerializer;
        /** create a recordset using the wddxRecordset object 
          * in the wddx.js file.  Normally, if you were only
          * going to serialize a single record, you would be
          * better off using s structure.  However, we wanted
          * to demonstrate the use of the wddxRecordset object
          */  
        var Employee = new WddxRecordset;
        Employee.addColumn("Name");
        Employee.addColumn("Title");
        Employee.addColumn("Department");
        Employee.addColumn("Email");
        Employee.addColumn("PhoneExt");
        Employee.addRows(1);
        Employee.setField(0, "Name", document.forms[0].Name.value);
        Employee.setField(0, "Title", document.forms[0].Title.value);
        Employee.setField(0, "Department", document.forms[0].Department.value);               
        Employee.setField(0, "Email", document.forms[0].Email.value);
        Employee.setField(0, "PhoneExt", document.forms[0].PhoneExt.value);
        var WDDXPacket = MySerializer.serialize(Employee);

        // return the newly created WDDX packet to the form 
        return WDDXPacket;
    }
</SCRIPT>


<!--- Form for inputting a new employee --->
<FORM ACTION="DeserializeFormPost.cfm" METHOD="POST">
<TABLE>
<TR>
  <TD><B>Name:</B></TD><TD><INPUT TYPE="TEXT" NAME="Name"></TD>
</TR>
<TR>
  <TD><B>Title:</B></TD><TD><INPUT TYPE="TEXT" NAME="Title"></TD>
</TR>
<TR>
  <TD><B>Department:</B></TD><TD><INPUT TYPE="TEXT" NAME="Department"></TD>
</TR>
<TR>
  <TD><B>E-mail:</B></TD><TD><INPUT TYPE="TEXT" NAME="Email"></TD>
</TR>
<TR>
  <TD><B>Phone Ext:</B></TD><TD><INPUT TYPE="TEXT" NAME="PhoneExt"></TD>
</TR>
<TR>
  <!--- clicking on the button calls the SerializeEmployee function that 
        serializes the form contents to a WDDX packet --->
  <TD COLSPAN="2"><INPUT TYPE="BUTTON" VALUE="Serialize" 
                  onClick="this.form.WDDXPacket.value = SerializeEmployee()"></TD>
</TR>
</TABLE>

<!--- display the WDDX packet and provide a submit button for the user to submit
      the packet to be deserialized --->
<HR>
<B>WDDX Packet:</B>
<BR>
<TEXTAREA NAME="WDDXPacket" ROWS="8" COLS="50" WRAP="virtual"></TEXTAREA>
<BR>
<INPUT TYPE="SUBMIT" VALUE="Submit Packet for Processing">
</FORM>
