<!--- Get the employee name associated with the ID we passed in --->
<CFQUERY NAME="GetEmployee" DATASOURCE="ProgrammingCF">
         SELECT Name
         FROM EmployeeDirectory
         WHERE ID = #Form.Employee#
</CFQUERY>

<!--- assign defualts in case of blanks --->
<CFPARAM NAME="Form.TaskName" DEFAULT="#CreateUUID()#">
<CFPARAM NAME="Form.StartDate" DEFAULT="#DateFormat(Now(),'mm/dd/yyyy')#">
<CFPARAM NAME="Form.StartTime" DEFAULT="#TimeFormat(Now(),'HH:mm:ss')#">

<!--- if the delivery format is Email, schedule the task --->  
<CFIF FORM.DELIVERYFORMAT IS "Email">            
  <CFSCHEDULE ACTION="Update" TASK="#Form.TaskName#" OPERATION="HTTPRequest"
     STARTDATE="#DateFormat(Form.StartDate,'mm/dd/yyyy')#"
     STARTTIME="#TimeFormat(Form.StartTime,'HH:mm:ss')#"
     URL="http://127.0.0.1/RunScheduledReport.cfm?ID=#Form.Employee#&DeliveryFormat=#Form.DeliveryFormat#"
     INTERVAL="#Form.interval#" REQUESTTIMEOUT="3600">       
<!--- if the delivery format is HTML, schedule the generation of the static 
      HTML file --->
<CFELSE>
  <CFSCHEDULE ACTION="Update" TASK="#Form.TaskName#" OPERATION="HTTPRequest"
     STARTDATE="#DateFormat(Form.StartDate,'mm/dd/yyyy')#"
     STARTTIME="#TimeFormat(Form.StartTime,'HH:mm:ss')#"
     URL="http://127.0.0.1/RunScheduledReport.cfm?ID=#Form.Employee#&
          DeliveryFormat=#Form.DeliveryFormat#"
     INTERVAL="#Form.interval#" REQUESTTIMEOUT="3600"
     RESOLVEURL="Yes" PUBLISH="Yes"
     FILE="#Replace(GetEmployee.Name, ' ', '_', 'All')#.htm"
     PATH="e:\inetsrv\wwwroot\#Replace(GetEmployee.Name, ' ', '_', 'All')#">
</CFIF>

<H2>Report Successfully Scheduled</H2>
