<!--- retrieve a specific employee record --->
<CFQUERY NAME="GetRecord" DATASOURCE="ProgrammingCF">
         SELECT Name, Department
         FROM EmployeeDirectory
         WHERE ID=3
</CFQUERY>

<!--- retrieve a unique list of departments from the Department column of
      the EmployeeDirectory using the DISTINCT operator --->
<CFQUERY NAME="GetDepartments" DATASOURCE="ProgrammingCF">
         SELECT DISTINCT Department
         FROM EmployeeDirectory
         ORDER BY Department
</CFQUERY>

<H2>Populating Radio Buttons</H2>
<FORM>
<TABLE>
<TR>
  <TD><B>Name:</B></TD>
  <TD><CFOUTPUT>#GetRecord.Name#</CFOUTPUT></TD>
</TR>
<TR>
<TD VALIGN="top"><B>Department:</B></TD>
<TD><CFLOOP QUERY="GetDepartments">
    <CFOUTPUT>
    <INPUT TYPE="Radio" NAME="Department" VALUE="#Department#" <CFIF 
           GetRecord.Department EQ GetDepartments.Department>CHECKED</CFIF>
           >#Department#<BR>
    </CFOUTPUT>
    </CFLOOP></TD>
</TR>
</TABLE>
</FORM>
