<!--- Check to see if the form is calling itself to delete a single record.
      Note that by NOT scoping the ID variable in the WHERE clause, we
      Allow the template to accept both Form and URL variables. --->
<CFIF IsDefined('Delete')>
  <CFQUERY NAME="DeleteRecord" DATASOURCE="ProgrammingCF">
           DELETE FROM EmployeeDirectory
           WHERE ID = #ID#
  </CFQUERY>
</CFIF>

<!--- query the database for all employee names and their associated Ids
      (the primary key value --->
<CFQUERY NAME="GetEmployees" DATASOURCE="ProgrammingCF">
         SELECT ID, Name
         FROM EmployeeDirectory
         ORDER BY Name
</CFQUERY>

<HTML>
<HEAD>
    <TITLE>Deleting a Single Record</TITLE>
</HEAD>

<BODY>

<CENTER>
<H3>Please select the employee you wish to delete</H3>

<FORM ACTION="DeleteForm.cfm" METHOD="post">
<TABLE BORDER="0">
<TR>
  <TD>
  <SELECT NAME="ID" SIZE="5">
    <CFOUTPUT QUERY="GetEmployees">
      <OPTION VALUE="#ID#">#Name#</OPTION>
    </CFOUTPUT>
  </SELECT>
  </TD>
</TR>
<TR>
  <TD ALIGN="center">
    <INPUT TYPE="submit" NAME="Delete" VALUE="Delete">
  </TD>
</TR>
</TABLE>
</FORM>
</CENTER>

</BODY>
</HTML>
