<CFTRY>

<!--- see if the form variable MyVar exists.  If not, throw a custom 
      exception --->
<CFIF NOT IsDefined('Form.MyVar')>
    <CFTHROW TYPE="MyApp.RequiredParameters.MissingMyVar"
             MESSAGE="The form variable MyVar does not exist!"
             DETAIL="This variable must be present for this template to 
                     function"
             ERRORCODE="10"
             EXTENDEDINFO="This is all the information available.">
</CFIF>

<!--- catch the custom exception --->
<CFCATCH TYPE="MyApp.RequiredParameters.MissingMyVar">
  <H2>Ooops - your variable (Form.MyVar) was not found!  Diagnostic 
      information is shown below:</H2>

  <BR>
  <H3>CFCATCH Exception Information</H3>

  <TABLE BORDER="0">
  <TR BGCOLOR="#0000FF">
    <TH><FONT COLOR="#FFFFFF">Variable</FONT></TH>
    <TH><FONT COLOR="#FFFFFF">Value</FONT></TH>
  </TR>

  <CFOUTPUT>
  <TR BGCOLOR="##C0C0C0">
    <TD>CFCATCH.Type</TD><TD>#CFCATCH.Type#</TD>
  </TR>
  <TR BGCOLOR="##C0C0C0">
    <TD>CFCATCH.Message</TD><TD>#CFCATCH.Message#</TD>
  </TR>
  <TR BGCOLOR="##C0C0C0">
    <TD>CFCATCH.Detail</TD>
    <TD>#CFCATCH.Detail#</TD>
  </TR>
  <TR BGCOLOR="##C0C0C0">
    <TD>CFCATCH.TagContext</TD>
    <TD>
    <TABLE BORDER="0">
    <TR>
      <TH COLSPAN="3">Tag Stack</TH>
    </TR>
    <TR BGCOLOR="##0000FF">
      <TH><FONT COLOR="##FFFFFF">Tag</FONT></TH>
      <TH><FONT COLOR="##FFFFFF">Position</FONT></TH>
      <TH><FONT COLOR="##FFFFFF">Template</FONT></TH>
    </TR>
    <CFLOOP index="element" from="1" TO="#ArrayLen(CFCATCH.TagContext)#">
      <CFSET TheStack = #CFCATCH.TagContext[element]#>
      <TR BGCOLOR="##D3D3D3">
        <TD>#TheStack["ID"]#</TD>
        <TD>(#TheStack["Line"]#:#TheStack["Column"]#)</TD> 
        <TD>#TheStack["Template"]#</TD>
      </TR>
    </CFLOOP>
    </TABLE>
  </TD>
  </TR>
  <TR BGCOLOR="##C0C0C0">
    <TD>CFCATCH.ErrorCode</TD><TD>#CFCATCH.ErrorCode#</TD>
  </TR>
  <TR BGCOLOR="##C0C0C0">
    <TD>CFCATCH.ExtendedInfo</TD><TD>#CFCATCH.ExtendedInfo#</TD>
  </TR>
  </TABLE>
  </CFOUTPUT>
</CFCATCH>

</CFTRY>
