<!--- Retrieve a list of employees who received individual incentive awards
      of less than $5000 each in 2000 --->
<CFQUERY NAME="GetSalaries" DATASOURCE="ProgrammingCF">
         SELECT ID, Name, Title, Department
         FROM EmployeeDirectory
         WHERE EXISTS
           (SELECT ID
            FROM IncentiveAwards
            WHERE IncentiveAwards.ID = EmployeeDirectory.ID
            AND Amount < 5000
            AND {fn YEAR(DateAwarded)} = 2000)
         ORDER BY Name
</CFQUERY>

<H3>Incentive Awards under $5000 Granted in 1998</H3>

<TABLE CELLPADDING="3" CELLSPACING="0">
<TR BGCOLOR="#888888">
  <TH>Name</TH>
  <TH>Title</TH>
  <TH>Department</TH>
</TR>

<!--- output the employee records --->    
<CFOUTPUT QUERY="GetSalaries">
<TR BGCOLOR="##C0C0C0">
  <TD>#Name#</TD>
  <TD>#Title#</TD>
  <TD>#Department#</TD>
</TR>    
</CFOUTPUT>
</TABLE>
