<!--- query the keywords table in the database and use aggregate functions to
      get the n most frequently used words or phrases --->
<CFQUERY NAME="GetTopTen" DATASOURCE="ProgrammingCF" MAXROWS="10">
        SELECT SearchString, COUNT(SearchString) AS TheCount
        FROM keywords GROUP BY SearchString ORDER BY COUNT(SearchString) DESC
</CFQUERY>        

<!--- Present the output to the user.  The search terms are hyperlinks that
      run the search template and automatically pass the search criteria --->
Top 10 Search terms:
<P>
<TABLE BORDER="1">
<TR>
    <TH>Search term</TH><TH>Number of times</TH>
</TR>    
<CFOUTPUT QUERY="GetTopTen">
<TR>
    <TD><A HREF="Search.cfm?SearchString=#UrlEncodedFormat(SearchString)#">
        #SearchString#</A></TD>
    <TD>#TheCount#</TD>
</TR>
</CFOUTPUT>
</TABLE>
