<!--- If no search criteria is passed, assume user wants all documents in the
      collection, so assign a wildcard (*) to the search criteria --->
<CFIF Form.Criteria IS "">
  <CFSET Form.Criteria = "*">
</CFIF>  

<CFSEARCH COLLECTION="News" NAME="MySearchQuery"
          TYPE="simple" CRITERIA="#Form.Criteria#">
<H2>Search Results</H2>

<CFOUTPUT>
Your search for: <B><FONT COLOR="##ff0000">#Form.Criteria#</FONT></B> turned up
#MySearchQuery.RecordCount# records out of #MySearchQuery.RecordsSearched# records
searched.
</CFOUTPUT>

<!--- If no records match the search criteria, inform the user --->
<CFIF MySearchQuery.RecordCount LTE 0>
  <CFOUTPUT>
  <P>Sorry.  No instances of #Form.Criteria# were found in the specified 
  collection(s).  Please hit the back button on your browser and try 
  again. 
  </CFOUTPUT>

<!--- Otherwise, output the search results including links to the 
      documents --->
<CFELSEIF MySearchQuery.RecordCount GT 0>
  <TABLE BORDER="0" CELLPADDING="3" CELLSPACING="3" WIDTH="75%">
  <TR>
    <TD><B>Title</B></TD><TD><B>Score</B></TD>
  </TR>

  <TR>
    <TD COLSPAN="2"><HR></TD>
  </TR>

  <CFOUTPUT QUERY="MySearchQuery">
  <TR>
    <TD><A HREF="16-8.cfm?ID=#Key#">#Title#</A></TD>
    <TD><FONT COLOR="##ff0000">
        <B><CFIF MySearchQuery.Score IS NOT "">
        #Evaluate(MySearchQuery.Score * 100)#%</CFIF></B></FONT>
    </TD>
  </TR>
  </CFOUTPUT>
  
  <TR>
    <TD COLSPAN="2"><HR></TD>
  </TR>
  </TABLE>  
</CFIF>
