<CFSET Cutoff = 20000>
<CFSET Start = 1>
<CFSET Output = "">

<CFLOCK NAME="FileLock" TYPE="ReadOnly" TIMEOUT="30">
  <CFFILE ACTION="Read" FILE="c:\test_in.txt" VARIABLE="Input">
</CFLOCK>

<!--- if the string is greater than the cutoff length, break it up and apply
      the regular expression to each chunk.  Then, create a new string by
      combining all of the chunks. --->
<CFIF Len(Input) GT Cutoff>
  <CFLOOP INDEX="i" FROM="1" TO="#Ceiling(Len(Input)/Cutoff)#">
    <CFSET Finish = (Cutoff + Start)-1>
    <CFIF Finish GT Len(Input)>
	    <CFSET Cutoff = (Len(Input)-Start)+1>
    </CFIF>  
    <CFSET temp = Mid(Input, Start, Cutoff)>
    <CFSET "Part#i#" = ReReplace(temp, "<[^>]*>", "", "All")>
    <CFSET Output = Output & Evaluate("Part#i#")>
    <CFSET Start = Finish+1>
  </CFLOOP>
<CFELSE>
  <CFSET Output = ReReplaceNoCase(Input, "<[^>]*>", "", "All")>
</CFIF> 

<CFLOCK NAME="FileLock" TYPE="Exclusive" TIMEOUT="30">
  <CFFILE ACTION="WRITE" FILE="c:\test_out.txt" OUTPUT="#Output#" ADDNEWLINE="No"> 
</CFLOCK>  

Finished...
